This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 964259 - (CVE-2013-2076) CVE-2013-2076 kernel: xen: Information leak on XSAVE/XRSTOR capable AMD CPUs
CVE-2013-2076 kernel: xen: Information leak on XSAVE/XRSTOR capable AMD CPUs
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130603,repor...
: Security
Depends On: 970206
Blocks: 964266
  Show dependency treegraph
 
Reported: 2013-05-17 12:43 EDT by Petr Matousek
Modified: 2013-06-16 01:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 12:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-05-17 12:43:09 EDT
On AMD processors supporting XSAVE/XRSTOR (family 15h and up), when an exception is pending, these instructions save/restore only the FOP, FIP, and FDP x87 registers in FXSAVE/FXRSTOR. This allows one domain to determine portions of the state of floating point instructions of other domains.

A malicious domain may be able to leverage this to obtain sensitive information such as cryptographic keys from another domain.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2013-05-17 12:46:17 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2013-06-03 12:48:49 EDT
Now public via:

http://www.openwall.com/lists/oss-security/2013/06/03/1
Comment 5 Petr Matousek 2013-06-03 12:53:50 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 970206]
Comment 6 Fedora Update System 2013-06-13 02:50:21 EDT
xen-4.2.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-13 22:28:17 EDT
xen-4.2.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-16 01:44:07 EDT
xen-4.1.5-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.